# Resize

## Synopsis

action name: `resize`

Resizes a server to the specified flavor

This action will allow you to resize a server to another flavor.

## Configuration

Action parameters:

parameter | type | required | description
--- | --- | --- | ---
`resource_id` | string | yes | UUID of the server to resize
`flavor` | string | yes | ID or Name of Flavor (Nova accepts either ID or Name)

## Skipping conditions

Resize actions will be automatically skipped in the pre_condition phase in the following case:

- The server does not exist

On other condition the action will be FAILED in the pre_condition check:

- Destination flavor does not exist

this page last updated: 2026-04-01 21:51:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug